Übersicht

Das Programm dient der Terminerinnerung beim Windows-Start.

Das Programm ist Freeware. Es darf (und soll!) ohne Zustimmung des Autors weitergegeben werden, Gebühren dürfen dafür nicht erhoben werden! Es wird darum gebeten, immer den kompletten Dateien-Satz (Terminator.exe, Terminator.chm, Readme.txt) weiterzugeben.

Wer das Programm nützlich findet oder Verbesserungsvorschläge hat, wird gebeten, mir eine zu schicken (siehe: Kontakt zum Autor ). Danke.
Wer einen kleinen Obulus dafür entrichten will, kann mir das natürlich auch gern unter dieser Mailadresse mitteilen, ich nenne dann meine Kontendaten.

In dieser Hilfe werden folgende Kennzeichnungen verwendet:

  • Menüpunkte
  • Tastatur-Kürzel
  • Schaltflächen
  • Eingaben, Texte, Dateinamen
  • Optionen, Registerkarten
  • Beispiele: Beispieltext

Folgende Themen stehen zur Verfügung:
  • Installation
  • Einstellungen
  • Benutzung
  • Dank
  • Kontakt zum Autor


Kontakt zum Hersteller

Lob und/oder Kritik (in konstruktiver Form) werden gern entgegengenommen, ebenso wie Vorschläge zur Verbesserung des Programms.
Sollten bei der Verwendung der Software Fehler auftreten, bitte ich um eine Benachrichtigung, wobei der Fehler möglichst genau beschrieben werden sollte (reproduzierbar? in welchem Zusammenhang, bei welcher Aktion?).

Der Kontakt zum Hersteller (Knut Lohse, Berlin) kann mittels einer Nachricht an knulo@gmx.de hergestellt werden. Bitte einen aussagefähigen Betreff wählen, damit die Nachricht nicht als Spam verkannt wird! 		Knulo
Weitere Informationen:
  • Dank
  • Weitere Free- und Shareware
  • freeware.de


Dank

Mein Dank geht an einen Nutzer, dessen Name ich leider nicht mehr weiß, für die Idee der Serientermine und an Martin Griewel aus Welver für die Idee des Kommandozeilen-Parameters im Zusammenhang mit der INI-Datei, der einstellbaren Farben für vergangene, aktuelle und zukünftige Termine, die Sortierung der Terminliste im Einstellungsdialog und die durchgeführten Beta-Tests.

Weitere Informationen:


Installation

Haftungsausschluss

Der Einsatz des Programmes erfolgt auf eigene Gefahr.
Das Programm erinnert an Termine - nicht mehr und nicht weniger. Es sollte also „nichts Schlimmes“ beim Einsatz dieser Software passieren.
Trotzdem übernimmt der Autor keinerlei Haftung für Verlust oder Beschädigung von Hard- und/oder Software bzw. Daten im Zusammenhang mit dem Einsatz dieses Programmes.

Installation

Das Programm erfordert keine Installation im herkömmlichen Sinne.

Die Dateien Terminator.exe und Terminator.chm aus dem ZIP-Archiv in ein beliebiges Verzeichnis extrahieren. Es werden keine Einträge in der Registry vorgenommen. Allerdings muss (zunächst) Schreibzugriff auf das gewählte Verzeichnis erlaubt sein, da eine INI-Datei erzeugt wird.

Damit das Programm bei jedem Rechnerstart an die (über-)fälligen Termine erinnern kann, muss man einen Eintrag im Autostart-Ordner anlegen:

  1. Einstellungsseite aufrufen (Schaltfläche Termine...)
  2. Registerkarte Erweitert wählen
  3. Wählen des Speicherorts der INI-Datei
  4. Schaltfläche Festlegen anklicken

Nun wird das Programm bei jedem Windows-Start gestartet...

Kommandozeilen-Parameter

Es wird der Kommandozeilen-Parameter /ini= folgendermaßen ausgewertet:
$appdata$ | Ablage der INI-Datei unter C:\Dokumente und Einstellungen\(benutzer)\Anwendungsdaten\Terminator
$personal$ | Ablage der INI-Datei in den Eigenen Dateien
Verzeichnis | Ablage der INI-Datei in diesem Verzeichnis unter dem Namen Terminator_(benutzer).ini (Schreibzugriff auf das Verzeichnis erforderlich)
Dateiname | Als INI-Datei wird die angegebene Datei verwendet (Schreibzugriff auf das Verzeichnis erforderlich)
Wenn eine andere INI-Datei per Kommandozeile angegeben wird, so wird diese oberhalb der Termine angezeigt:

Weitere Informationen:
  • Einstellungen
  • Benutzung


Einstellungen

Der Einstellungsdialog wird durch Anklicken der Schaltfläche Termine... im Meldungsfenster aufgerufen.

Weitere Informationen:
  • Termin-Übersicht
  • Erscheinungsbild festlegen
  • Erweiterte Einstellungen


Benutzung

Das Programm soll beim jedem Systemstart an Termine erinnern. Dabei sind einmalige Termine möglich (diese können automatisch gelöscht werden, wenn der Erinnerungszeitraum abgelaufen ist), sowie wöchentlich, monatlich und jährlich wiederkehrende Termine. Jahrestage (wie z.B. Geburtstage) können zusätzlich gekennzeichnet werden und werden dann speziell behandelt.

Außerdem ist es möglich, Serientermine (z.B. alle drei Tage, alle zwei Wochen, alle sechs Monate) festzulegen und Termine so zu kennzeichnen, dass die Erinnerung so lange erfolgt, bis der Termin als erledigt gekennzeichnet wird (permanente Termine).

Vergangene, aktuelle und zukünftige Termine können jeweils in einer eigenen Schriftart dargestellt werden, die Hintergrundfarbe des Meldungsfensters ist ebenfalls einstellbar.

Das Programm wurde bewusst einfach gehalten, damit es universell einsetzbar ist und wenig System-Ressourcen verbraucht (nur beim Systemstart, beendet sich automatisch).

Programmiert wurde mit dem C++Builder 5 von Borland.

Anstehende Termine werden im Meldungsfenster für eine einstellbare Zeit angezeigt, danach beendet sich das Programm selbständig. Soll das Fenster vorher verschwinden, kann dies mit Schließen erreicht werden.

Wenn die Meldungen einmal länger angezeigt werden sollen, kann die Schaltfläche Halten betätigt werden, dadurch wird das Programm nicht automatisch beendet und muss später mittels Schließen manuell beendet werden.

Die Schaltfläche Termine... führt zum Einstellungsdialog, in dem Termine festgelegt, verändert oder gelöscht werden können, das Erscheinungsbild festgelegt wird und weitere Einstellungen erfolgen.

Termine können vorzeitig als erledigt gekennzeichnet werden, damit sie zukünftig (in dieser Periode) nicht mehr angezeigt werden.

Wenn eine andere INI-Datei per Kommandozeile angegeben wird, so wird diese oberhalb der Termine angezeigt:

Weitere Informationen:
  • Termin erledigen
  • Einstellungen


Termin erledigen

Nach Klick auf die Schaltfläche Erledigt! im Meldungsfenster können Termine als erledigt gekennzeichnet werden, indem die entsprechenden Termine im oben abgebildeten Dialog markiert und dann die Schaltfläche Fertig betätigt wird. Gibt es nur einen anstehenden Termin, wird dieser ohne Rückfrage als erledigt gekennzeichnet und das Programm beendet.

Weitere Informationen:
  • Benutzung
  • Einstellungen


Termin-Übersicht

Der Einstellungsdialog wird durch Anklicken der Schaltfläche Termine... im Meldungsfenster aufgerufen.

Screenshot

Auf der Registerkarte Termine wird die Termin-Übersicht angezeigt und es können Termine festgelegt, geändert und gelöscht werden.

Ein Klick auf die erste Spalte erlaubt die Änderung eines vorhanden Termins bzw. – wenn auf die leere Zeile am Ende der Liste geklickt wird – die Festlegung eines neuen Termins (siehe Termin festlegen/ändern).

In der Tabelle werden folgende Daten (von links nach rechts) angezeigt:

  • Datum des Termins
  • Ereignistext
  • Terminart
    • einmalig (keine Kennzeichnung bzw. eigene Spalte)
    • wöchentlicher Termin (W)
    • monatlicher Termin (M)
    • jährlicher Termin (J)
    • Geburtstag/Jahrestag (G)
    • Serientermin (S, T = Tagesserie, W = Wochenserie, M = Monatsserie)
  • Permanent-Kennzeichen
  • Anzeige vor Termin (Tage)
  • Anzeige nach Termin (Tage)
  • nächster Termin
Die Liste kann nach verschiedenen Kriterien sortiert zur Anzeige gebracht werden.

Nachdem ein vorhandener Termin markiert wurde (anklicken), kann er gelöscht werden, indem die Schaltfläche Löschen betätigt wird.

Außerdem kann hier eine Terminliste gedruckt werden (Drucken).

Um die vorgenommenen Änderungen dauerhaft zu speichern, muss die Schaltfläche Übernehmen betätigt werden. Sollen die Änderungen nicht gespeichert werden, kann der Dialog mittels Abbrechen (bzw. Esc) geschlossen werden.

Weitere Informationen:
  • Termin festlegen/ändern
  • Erscheinungsbild festlegen
  • Erweiterte Einstellungen
  • Benutzung


Erscheinungsbild festlegen

Der Einstellungsdialog wird durch Anklicken der Schaltfläche Termine... im Meldungsfenster aufgerufen.

Auf der Registerkarte Darstellung wird das Verhalten und das Erscheinungsbild des Meldungsfensters eingestellt:

  • Zeitverzögerung: legt fest nach wieviel Sekunden das Programm beendet wird, falls Termine anstehen. Gibt es keine Termine, wird das Programm nach drei Sekunden beendet.
  • Anzeige Tage vor/nach Termin: Hier wird die Standardeinstellung für die die Anzeige von Terminen vorgenommen. Jedem Termin kann jedoch ein eigenes Zeitfenster zugeordnet werden.
  • Position: Festlegung, wo das Meldungsfenster erscheinen soll
    • frei: beliebige Position (nachdem das Meldungsfenster an eine bestimmte Stelle gezogen wurde, erscheint es künftig immer dort)
    • Links oben: Meldungsfenster in der linken oberen Ecke des Bildschirms
    • Rechts oben: Meldungsfenster in der rechten oberen Ecke des Bildschirms
    • Links unten: Meldungsfenster in der linken unteren Ecke des Bildschirms
    • Rechts unten: Meldungsfenster in der rechten unteren Ecke des Bildschirms
  • Schriftarten:
    • Schriftart für frühere (vergangene) Termine festlegen
    • Schriftart für aktuelle Termine festlegen
    • Schriftart für spätere (zukünftige) Termine festlegen
    • Hintergrundfarbe festlegen
In den Textfeldern wird jeweils das Wort „Beispieltext“ in den gewählten Einstellungen dargestellt, damit man sofort das Ergebnis ü:berprüfen kann.

Um die vorgenommenen Änderungen dauerhaft zu speichern, muss die Schaltfläche Übernehmen betätigt werden. Sollen die Änderungen nicht gespeichert werden, kann der Dialog mittels Abbrechen (bzw. Esc) geschlossen werden.

Weitere Informationen:
  • Termin-Übersicht
  • Erweiterte Einstellungen
  • Benutzung


Erweiterte Einstellungen

Der Einstellungsdialog wird durch Anklicken der Schaltfläche Termine... im Meldungsfenster aufgerufen.

Screenshot

Auf der Registerkarte Erweitert werden weitere Einstellungen des Programms vorgenommen:

  • Autostart / INI-Datei-Speicherort (siehe auch Kommandozeilen-Parameter):
    • Datei/Verzeichnis: Angabe eines Verzeichnisses oder einer Datei
    • Anwendungsdaten: INI-Datei in C:\Dokumente und Einstellungen\(benutzer)\Anwendungsdaten\Terminator
    • Eigene Dateien: INI-Datei in den Eigene Dateien
    • Programm-Verzeichnis: INI-Datei im Installations-Verzeichnis
    • Festlegen: Terminator wird mit dem entsprechenden Parameter in die Autostart-Gruppe eingetragen
  • Sicherung der INI-Datei: beim Programmstart kann die INI-Datei zur Sicherheit in ein anderes Verzeichnis kopiert werden. Falls von dieser Möglichkeit Gebrauch gemacht wird, muss im Feld darunter ein Verzeichnis eingetragen bzw. gewählt werden (...)
  • Vergangene Termine behalten: Einmaltermine, die nicht mehr angezeigt werden, (Zeitfenster nicht mehr zutreffend bzw. erledigt) werden normalerweise gelöscht. Wenn diese Option markiert ist, bleiben diese Termine in der INI-Datei erhalten.

Um die vorgenommenen Änderungen dauerhaft zu speichern, muss die Schaltfläche Übernehmen betätigt werden. Sollen die Änderungen nicht gespeichert werden, kann der Dialog mittels Abbrechen (bzw. Esc) geschlossen werden.

Weitere Informationen:
  • Termin-Übersicht
  • Erscheinungsbild festlegen
  • Benutzung


Termin festlegen

Ein Klick auf die erste Spalte der Termin-Übersicht im Einstellungs-Dialog erlaubt die Änderung eines vorhanden Termins bzw. – wenn auf die leere Zeile am Ende der Liste geklickt wird – die Festlegung eines neuen Termins.

Links oben sieht man einen Kalender, in dem der gewählte Termin markiert ist. «Heute» wird gelb markiert. Mit den Schaltflächen oberhalb des Kalenders können Monat und Jahr gewählt werden, größere Jahressprünge sind mit Hilfe der Strg- bzw. Shift-Taste möglich, wie rechts daneben erklärt.

Soll der Termin in einem anderen als dem Standard-Zeitfenster (siehe: Erscheinungsbild festlegen) dargestellt werden, ist die Option Spezielle Anzeige unterhalb des Kalendrs zu wählen und die entsprechenden Tage festzulegen.

Rechts daneben wird die eventuelle Wiederkehr des Termins gewählt:

  • einmalig
  • wöchentlicher Termin (W)
  • monatlicher Termin (M)
  • jährlicher Termin (J)
  • Geburtstag/Jahrestag (G, hier wird zusätzlich das Alter/die Wiederkehr angezeigt)
  • Serientermin (S, T = Tagesserie, W = Wochenserie, M = Monatsserie)
Darunter wird der Ereignis-Text (maximal 100 Zeichen) festgelegt und ob es sich um einen permanenten Termin handeln soll. Permanente Termine bleiben unabhängig vom festgelegten Zeitfenster für die Anzeige solange erhalten, bis sie als erledigt gekennzeichnet werden.

Hinweis: Termine werden ggf. auf den Monatsletzten korrigiert.

Beispiele:

  • Jemand hat am 29. Februar Geburtstag. Außer in Schaltjahren wird dieser Termin für den 28. Februar angezeigt.
  • Immer am Monatsletzten soll an eine Überweisung erinnert werden, die zum 6. des Folgemonats erfolgt sein muss. Wählen Sie als Starttermin einen Monat mit 31 Tagen! Dadurch erfolgt die Meldung immer am letzten Tag des Monats.

    • Um die vorgenommenen Änderungen zu speichern, muss die Schaltfläche Übernehmen betätigt werden. Sollen die Änderungen nicht gespeichert werden, kann der Dialog mittels Abbrechen (bzw. Esc) geschlossen werden.

    Weitere Informationen:
    • Termin-Übersicht
    • Benutzung